[Debian-live-changes] r2110 - dists/trunk/live-helper/helpers

daniel at alioth.debian.org daniel at alioth.debian.org
Sat Jun 16 09:01:37 UTC 2007


Author: daniel
Date: 2007-06-16 09:01:37 +0000 (Sat, 16 Jun 2007)
New Revision: 2110

Added:
   dists/trunk/live-helper/helpers/lh_bootstrap_clone
   dists/trunk/live-helper/helpers/lh_bootstrap_copy
Modified:
   dists/trunk/live-helper/helpers/lh_bootstrap
   dists/trunk/live-helper/helpers/lh_chroot_apt
   dists/trunk/live-helper/helpers/lh_chroot_debianchroot
   dists/trunk/live-helper/helpers/lh_chroot_hosts
   dists/trunk/live-helper/helpers/lh_chroot_linux-image
   dists/trunk/live-helper/helpers/lh_chroot_resolv
   dists/trunk/live-helper/helpers/lh_chroot_sources
   dists/trunk/live-helper/helpers/lh_chroot_sysvrc
Log:


Modified: dists/trunk/live-helper/helpers/lh_bootstrap
===================================================================
--- dists/trunk/live-helper/helpers/lh_bootstrap	2007-06-15 20:57:36 UTC (rev 2109)
+++ dists/trunk/live-helper/helpers/lh_bootstrap	2007-06-16 09:01:37 UTC (rev 2110)
@@ -34,6 +34,7 @@
 
 # Bootstrapping system
 lh_bootstrap_cache restore ${*}
+lh_bootstrap_copy ${*}
 lh_bootstrap_cdebootstrap ${*}
 lh_bootstrap_debootstrap ${*}
 lh_bootstrap_cache save ${*}

Added: dists/trunk/live-helper/helpers/lh_bootstrap_clone
===================================================================
--- dists/trunk/live-helper/helpers/lh_bootstrap_clone	                        (rev 0)
+++ dists/trunk/live-helper/helpers/lh_bootstrap_clone	2007-06-16 09:01:37 UTC (rev 2110)
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# lh_bootstrap_clone(1) - bootstrap by cloning the host system
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+	. "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="bootstrap by cloning the host system"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+if [ "${LH_BOOTSTRAP}" != "clone" ]
+then
+	exit 0
+fi
+
+Echo_message "Begin bootstrapping system..."
+
+# Ensure that a system is built as root
+lh_testroot
+
+# Checking stage file
+Check_stagefile .stage/bootstrap
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Read package selection
+dpkg --get-selections
+
+# Read debconf values
+> preseed
+
+# Creating stage file
+Create_stagefile .stage/bootstrap


Property changes on: dists/trunk/live-helper/helpers/lh_bootstrap_clone
___________________________________________________________________
Name: svn:executable
   + *

Added: dists/trunk/live-helper/helpers/lh_bootstrap_copy
===================================================================
--- dists/trunk/live-helper/helpers/lh_bootstrap_copy	                        (rev 0)
+++ dists/trunk/live-helper/helpers/lh_bootstrap_copy	2007-06-16 09:01:37 UTC (rev 2110)
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# lh_bootstrap_copy(1) - bootstrap by copying the host system
+# Copyright (C) 2006-2007 Daniel Baumann <daniel at debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+	. "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="bootstrap by copying the host system"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+if [ "${LH_BOOTSTRAP}" != "copy" ]
+then
+	exit 0
+fi
+
+Echo_message "Begin bootstrapping system..."
+
+# Ensure that a system is built as root
+lh_testroot
+
+# Checking stage file
+Check_stagefile .stage/bootstrap
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Copying host system
+find / ! -name /proc ! -name /sys ! -name "`dirname ${PWD}`"  | xargs cp -a chroot
+
+# Creating stage file
+Create_stagefile .stage/bootstrap


Property changes on: dists/trunk/live-helper/helpers/lh_bootstrap_copy
___________________________________________________________________
Name: svn:executable
   + *

Modified: dists/trunk/live-helper/helpers/lh_chroot_apt
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_apt	2007-06-15 20:57:36 UTC (rev 2109)
+++ dists/trunk/live-helper/helpers/lh_chroot_apt	2007-06-16 09:01:37 UTC (rev 2110)
@@ -32,13 +32,13 @@
 Read_conffile config/source
 Set_defaults
 
-Echo_message "Configuring file /etc/apt/apt.conf"
-
 # Requiring stage file
 Require_stagefile .stage/bootstrap
 
 case "${1}" in
 	install)
+		Echo_message "Configuring file /etc/apt/apt.conf"
+
 		# Checking stage file
 		Check_stagefile .stage/chroot_apt
 
@@ -111,6 +111,8 @@
 		;;
 
 	remove)
+		Echo_message "Deconfiguring file /etc/apt/apt.conf"
+
 		# Checking lock file
 		Check_lockfile .lock
 

Modified: dists/trunk/live-helper/helpers/lh_chroot_debianchroot
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_debianchroot	2007-06-15 20:57:36 UTC (rev 2109)
+++ dists/trunk/live-helper/helpers/lh_chroot_debianchroot	2007-06-16 09:01:37 UTC (rev 2110)
@@ -32,13 +32,13 @@
 Read_conffile config/source
 Set_defaults
 
-Echo_message "Configuring file /etc/debian_chroot"
-
 # Requiring stage file
 Require_stagefile .stage/bootstrap
 
 case "${1}" in
 	install)
+		Echo_message "Configuring file /etc/debian_chroot"
+
 		# Checking stage file
 		Check_stagefile .stage/chroot_debianchroot
 
@@ -62,6 +62,8 @@
 		;;
 
 	remove)
+		Echo_message "Deconfiguring file /etc/debian_chroot"
+
 		# Checking lock file
 		Check_lockfile .lock
 

Modified: dists/trunk/live-helper/helpers/lh_chroot_hosts
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_hosts	2007-06-15 20:57:36 UTC (rev 2109)
+++ dists/trunk/live-helper/helpers/lh_chroot_hosts	2007-06-16 09:01:37 UTC (rev 2110)
@@ -32,13 +32,13 @@
 Read_conffile config/source
 Set_defaults
 
-Echo_message "Configuring file /etc/hosts"
-
 # Requiring stage file
 Require_stagefile .stage/bootstrap
 
 case "${1}" in
 	install)
+		Echo_message "Configuring file /etc/hosts"
+
 		# Checking stage file
 		Check_stagefile .stage/chroot_hosts
 
@@ -65,6 +65,8 @@
 		;;
 
 	remove)
+		Echo_message "Deconfiguring file /etc/hosts"
+
 		# Checking lock file
 		Check_lockfile .lock
 

Modified: dists/trunk/live-helper/helpers/lh_chroot_linux-image
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_linux-image	2007-06-15 20:57:36 UTC (rev 2109)
+++ dists/trunk/live-helper/helpers/lh_chroot_linux-image	2007-06-16 09:01:37 UTC (rev 2110)
@@ -32,13 +32,13 @@
 Read_conffile config/source
 Set_defaults
 
-Echo_message "Configuring file /etc/kernel-img.conf"
-
 # Requiring stage file
 Require_stagefile .stage/bootstrap
 
 case "${1}" in
 	install)
+		Echo_message "Configuring file /etc/kernel-img.conf"
+
 		# Checking stage file
 		Check_stagefile .stage/chroot_linux-image
 
@@ -90,6 +90,8 @@
 		;;
 
 	remove)
+		Echo_message "Deconfiguring file /etc/kernel-img.conf"
+
 		# Checking lock file
 		Check_lockfile .lock
 

Modified: dists/trunk/live-helper/helpers/lh_chroot_resolv
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_resolv	2007-06-15 20:57:36 UTC (rev 2109)
+++ dists/trunk/live-helper/helpers/lh_chroot_resolv	2007-06-16 09:01:37 UTC (rev 2110)
@@ -32,13 +32,13 @@
 Read_conffile config/source
 Set_defaults
 
-Echo_message "Configuring file /etc/resolv.conf"
-
 # Requiring stage file
 Require_stagefile .stage/bootstrap
 
 case "${1}" in
 	install)
+		Echo_message "Configuring file /etc/resolv.conf"
+
 		# Checking stage file
 		Check_stagefile .stage/chroot_resolv
 
@@ -65,6 +65,8 @@
 		;;
 
 	remove)
+		Echo_message "Deconfiguring file /etc/resolv.conf"
+
 		# Checking lock file
 		Check_lockfile .lock
 

Modified: dists/trunk/live-helper/helpers/lh_chroot_sources
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_sources	2007-06-15 20:57:36 UTC (rev 2109)
+++ dists/trunk/live-helper/helpers/lh_chroot_sources	2007-06-16 09:01:37 UTC (rev 2110)
@@ -32,13 +32,13 @@
 Read_conffile config/source
 Set_defaults
 
-Echo_message "Configuring file /etc/apt/sources.list"
-
 # Requiring stage file
 Require_stagefile .stage/bootstrap
 
 case "${1}" in
 	install)
+		Echo_message "Configuring file /etc/apt/sources.list"
+
 		# Checking stage file
 		Check_stagefile .stage/chroot_sources
 
@@ -202,6 +202,8 @@
 		;;
 
 	remove)
+		Echo_message "Deconfiguring file /etc/apt/sources.list"
+
 		# Checking lock file
 		Check_lockfile .lock
 

Modified: dists/trunk/live-helper/helpers/lh_chroot_sysvrc
===================================================================
--- dists/trunk/live-helper/helpers/lh_chroot_sysvrc	2007-06-15 20:57:36 UTC (rev 2109)
+++ dists/trunk/live-helper/helpers/lh_chroot_sysvrc	2007-06-16 09:01:37 UTC (rev 2110)
@@ -32,13 +32,13 @@
 Read_conffile config/source
 Set_defaults
 
-Echo_message "Configuring file /usr/sbin/policy-rc.d"
-
 # Requiring stage file
 Require_stagefile .stage/bootstrap
 
 case "${1}" in
 	install)
+		Echo_message "Configuring file /usr/sbin/policy-rc.d"
+
 		# Checking stage file
 		Check_stagefile .stage/chroot_sysvrc
 
@@ -71,6 +71,8 @@
 		;;
 
 	remove)
+		Echo_message "Deconfiguring file /usr/sbin/policy-rc.d"
+
 		# Checking lock file
 		Check_lockfile .lock
 




More information about the Debian-live-changes mailing list